function [ c, ceq ] = confuneqz( z_vyr )
%UNTITLED3 Summary of this function goes here
%   Nonlinear inequality constraints
c = [];                %nejsou
%   Nonlinear equality constraints

ceq(1) = z_vyr(1)*z_vyr(2) - z_vyr(4)*z_vyr(5) - z_vyr(7)*z_vyr(8);     %F1*x1,1 - F2*x2,1 - F3*x3,1 = 0
ceq(2) = z_vyr(1)*z_vyr(3) - z_vyr(4)*z_vyr(6) - z_vyr(7)*z_vyr(9);     %F1*x2 - F2*x2 - F3*x2 = 0

ceq(3) = z_vyr(1) - z_vyr(1)*z_vyr(2) - z_vyr(1)*z_vyr(3);              %F1 - F1*x1 - F1*x2 = 0
ceq(4) = z_vyr(4) - z_vyr(4)*z_vyr(5) - z_vyr(4)*z_vyr(6);              %F2 - F2*x1 - F2*x2 = 0
ceq(5) = z_vyr(7) - z_vyr(7)*z_vyr(8) - z_vyr(7)*z_vyr(9);              %F3 - F3*x1 - F3*x2 = 0

%ceq(6) = z_vyr(1) - z_vyr(4) - z_vyr(7);                                %F1 - F2 - F3 = 0

%ceq(7) = z_vyr(2) + z_vyr(3) - 1;                                       %x1 + x2 = 1
%ceq(8) = z_vyr(5) + z_vyr(6) - 1;
%ceq(9) = z_vyr(8) + z_vyr(9) - 1;


end

